from wagtail.blocks import CharBlock, EmailBlock, StructBlock, TextBlock


class PersonBlock(StructBlock):
    name = CharBlock(label="Jméno")
    position = TextBlock(label="Pracovní pozice", required=False)
    email = EmailBlock(label="E-mailová adresa", required=False)

    class Meta:
        label = "Osoba"
        template = "home/blocks/person_block.html"
        icon = "user"
