const defaultTheme = require("tailwindcss/defaultTheme");

/** @type {import('tailwindcss').Config} */
module.exports = {
  content: [
    "./static_src/*.js",
    "./static_src/**/*.js",
    "*/templates/**/*.html",
    "*/templates/**/*.svg",
  ],
  theme: {
    extend: {
      fontFamily: {
        "bebas": ["Bebas Neue", defaultTheme.fontFamily.sans],
        "serif": ["\"Source Serif 4\"", defaultTheme.fontFamily.serif]
      },
      colors: {
        "transparent": "transparent",
        "black": "#000000",
        "white": "#ffffff",
        "grey": {
          "50": "#f8f9fa",
          "800": "#1f1f1f",
        },
        "pii-cyan": "#2782af"
      }
    }
  },
  plugins: [
    require("@tailwindcss/typography"),
  ],
}
